drop _all
program drop _all
log using datav4,replace
*
* This STATA adds Shang-Jin's data to the bilateral data set.
*
set more 1
set maxobs 4000
*
* Read in Shang-Jin's data and clean it up (swap country codes if count2 <
* count1)
*
infile using \res\oca\data\weidatar

list count1 count2 if count2<count1&count1<125
g byte prob=1 if count2<count1
g crap=count1
replace count1=count2 if prob==1
replace count2=crap if prob==1
list count1 count2 if prob==1&count1<125
drop crap prob
sort count1 count2
drop if count1==count1[_n-1]&count2==count2[_n-1]
compress
sort count1 count2
*
* Merge it with the existing data set
*
merge count1 count2 using \res\oca\data\datav3
tab _merge
drop _merge
compress
sort count1 count2 period
save \res\oca\data\datav4,replace
drop _all
*
* Read in the exchange rate regime stuff
* count1)
*
infile using \res\oca\data\ereg

compress
sort count1 count2 period
merge count1 count2 using \res\oca\data\datav4
tab _merge
drop _merge
compress
sort count1 count2 period
save \res\oca\data\datav4,replace
drop _all
*
* Close Down
*
drop _all
log close
exit,clear
